// Listing 3: Verbindungsaufbau zwischen Client und Broker
public class Connect {

    private static final String BROKER_URL = "tcp://127.0.0.1:1883";

    public static void main(String[] args) throws Exception {

        final String clientIdentifier = "OutletA";
        final MqttClient mqttClient = new MqttClient(BROKER_URL, clientIdentifier);
        final MqttConnectOptions options = new MqttConnectOptions();

        //Username und Passwort werden für die Verbindung gesetzt
        options.setUserName(clientIdentifier);
        options.setPassword("powercompany".toCharArray());

        //Verbindungsaufbau
        mqttClient.connect(options);

        //Nachrichten abonnieren
        Subscribe subscribe = new Subscribe(mqttClient);
        subscribe.listenToCommands();

        //Nachrichten senden
        Publish publish = new Publish(mqttClient);
        publish.sendPowerUsage();        
    }
}

